''
''
'' gmodule -- header translated with help of SWIG FB wrapper
''
'' NOTICE: This file is part of the FreeBASIC Compiler package and can't
''         be included in other distributions without authorization.
''
''
#IFNDEF __gmodule_bi__
#DEFINE __gmodule_bi__

#IFDEF __FB_WIN32__
# pragma PUSH(msbitfields)
#ENDIF

EXTERN "c" LIB "gmodule-2.0"

ENUM GModuleFlags
  G_MODULE_BIND_LAZY  = 1 SHL 0
  G_MODULE_BIND_LOCAL = 1 SHL 1
  G_MODULE_BIND_MASK  = &h03
END ENUM

TYPE GModule AS _GModule
TYPE GModuleCheckInit AS FUNCTION CDECL(BYVAL AS GModule PTR) AS gchar PTR
TYPE GModuleUnload AS SUB CDECL(BYVAL AS GModule PTR)

#IFDEF __FB_WIN32__
#DEFINE g_module_open g_module_open_utf8
#DEFINE g_module_name g_module_name_utf8
#ENDIF

DECLARE FUNCTION g_module_open (BYVAL file_name AS ZSTRING PTR, BYVAL flags AS GModuleFlags) AS GModule PTR
DECLARE FUNCTION g_module_close (BYVAL module AS GModule PTR) AS gboolean
DECLARE SUB g_module_make_resident (BYVAL module AS GModule PTR)
DECLARE FUNCTION g_module_error () AS ZSTRING PTR
DECLARE FUNCTION g_module_symbol (BYVAL module AS GModule PTR, BYVAL symbol_name AS ZSTRING PTR, BYVAL symbol AS gpointer PTR) AS gboolean
DECLARE FUNCTION g_module_name (BYVAL module AS GModule PTR) AS ZSTRING PTR
DECLARE FUNCTION g_module_build_path (BYVAL directory AS ZSTRING PTR, BYVAL module_name AS ZSTRING PTR) AS ZSTRING PTR

END EXTERN

#IFDEF __FB_WIN32__
# pragma POP(msbitfields)
#ENDIF

#ENDIF
